Bug 68630 - migration scripts and schema objectClass naming conflict: 'inetLocalMailRecipient' vs 'mailRecipient'
migration scripts and schema objectClass naming conflict: 'inetLocalMailRecip...
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-07-11 16:29 EDT by Wil Cooley
Modified: 2014-08-31 19:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-07 14:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wil Cooley 2002-07-11 16:29:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en; Preview) Gecko/20020602

Description of problem:
The migration scripts supplied with openldap-servers attempt to add objectClass
'mailRecipient', whereas the installed schema has matching definition with name
'inetLocalMailRecipient'.  This error is only exposed if 'extended schema' are

Version-Release number of selected component (if applicable): 

How reproducible:

Steps to Reproduce:
1. Edit migrate_common.ph and enable $EXTENDED_SCHEMA:

# turn this on to support more general object clases
# such as person.

2. Run migrate_all_o{ff,n}line.pl
3. Check log and watch output.

Actual Results:  Migration failed and errors logged:

Jul 11 12:03:24 myhostname slapd[XXXX]:
"unrecognized objectClass 'mailRecipient'" not recognized 

Expected Results:  Migration should succeed.

Additional info:

This patch makes the migrate_passwd.pl script consistent with the schema name:

--- migrate_passwd.pl.orig      Thu Jul 11 12:57:04 2002
+++ migrate_passwd.pl   Thu Jul 11 12:39:51 2002
@@ -122,7 +122,7 @@
                if ($DEFAULT_MAIL_HOST) {
                        print $HANDLE "mailRoutingAddress:
                        print $HANDLE "mailHost: $DEFAULT_MAIL_HOST\n";
-                       print $HANDLE "objectClass: mailRecipient\n";
+                       print $HANDLE "objectClass: inetLocalMailRecipient\n";
                print $HANDLE "objectClass: person\n";
                print $HANDLE "objectClass: organizationalPerson\n";
Comment 1 Bill Nottingham 2006-08-05 01:47:01 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Wil Cooley 2006-08-07 14:37:24 EDT
This bug appears to be corrected in FC5, openldap-servers-2.3.19-4.

Note You need to log in before you can comment on or make changes to this bug.